Subject: Re: [PATCH v2 net-next 07/10] net: dsa: request drivers to perform FDB isolation

From: Hans Schultz <[email-masked]>
Date: Wed, 27 Apr 2022 08:45:28 +0200

On tis, apr 26, 2022 at 18:14, Andrew Lunn <[email-masked]> wrote:
>> > @@ -941,23 +965,29 @@ struct dsa_switch_ops {
>> >  	 * Forwarding database
>> >  	 */
>> >  	int	(*port_fdb_add)(struct dsa_switch *ds, int port,
>> > -				const unsigned char *addr, u16 vid);
>> > +				const unsigned char *addr, u16 vid,
>> > +				struct dsa_db db);
>> 
>> Hi! Wouldn't it be better to have a struct that has all the functions
>> parameters in one instead of adding further parameters to these
>> functions?
>> 
>> I am asking because I am also needing to add a parameter to
>> port_fdb_add(), and it would be more future oriented to have a single
>> function parameter as a struct, so that it is easier to add parameters
>> to these functions without havíng to change the prototype of the
>> function every time.
>
> Hi Hans
>
> Please trim the text to only what is relevant when replying. It is
> easy to miss comments when having to Page Down, Page Down, Page down,
> to find comments.
>
>    Andrew

Hi Andrew,

ahh yes, my client collapses those lines, but thanks for letting me
know. I will trim going forward.

Hans